| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
AllowedNetworkInterface Struct Reference

Structure extending `NetworkInterfaceWithFilter` with information specific to allowed interfaces. More...

`#include <AllowedNetworkInterface.hpp>`

Inheritance diagram for AllowedNetworkInterface:
[legend]

## Public Member Functions

virtual FASTDDS_EXPORTED_API | ~AllowedNetworkInterface ()=default
| Destructor.
FASTDDS_EXPORTED_API | AllowedNetworkInterface (const AllowedNetworkInterface &iface)=default
| Copy constructor.
FASTDDS_EXPORTED_API AllowedNetworkInterface & | operator= (const AllowedNetworkInterface &iface)=default
| Copy assignment.
FASTDDS_EXPORTED_API | AllowedNetworkInterface (AllowedNetworkInterface &&iface)=default
| Move constructor.
FASTDDS_EXPORTED_API AllowedNetworkInterface & | operator= (AllowedNetworkInterface &&iface)=default
| Move assignment.
FASTDDS_EXPORTED_API | NetworkInterfaceWithFilter (const std::string &name, NetmaskFilterKind netmask_filter)
| Constructor by name and netmask filter.
FASTDDS_EXPORTED_API | NetworkInterfaceWithFilter (const std::string &name)
| Constructor by name.
| NetworkInterfaceWithFilter (const std::string &device, const std::string &ip, const LocatorWithMask &locator, NetmaskFilterKind netmask_filter)
| Constructor by device name, IP address string, locator with mask and netmask filter.
FASTDDS_EXPORTED_API | NetworkInterfaceWithFilter (const std::string &device, const std::string &ip, const LocatorWithMask &locator)
| Constructor by device name, IP address string and locator with mask.
FASTDDS_EXPORTED_API | NetworkInterfaceWithFilter (const NetworkInterfaceWithFilter &iface)=default
| Copy constructor.
FASTDDS_EXPORTED_API | NetworkInterfaceWithFilter (NetworkInterfaceWithFilter &&iface)=default
| Move constructor.
Public Member Functions inherited from NetworkInterfaceWithFilter
FASTDDS_EXPORTED_API | NetworkInterfaceWithFilter (const std::string &name, NetmaskFilterKind netmask_filter)
| Constructor by name and netmask filter.
FASTDDS_EXPORTED_API | NetworkInterfaceWithFilter (const std::string &name)
| Constructor by name.
| NetworkInterfaceWithFilter (const std::string &device, const std::string &ip, const LocatorWithMask &locator, NetmaskFilterKind netmask_filter)
| Constructor by device name, IP address string, locator with mask and netmask filter.
FASTDDS_EXPORTED_API | NetworkInterfaceWithFilter (const std::string &device, const std::string &ip, const LocatorWithMask &locator)
| Constructor by device name, IP address string and locator with mask.
virtual FASTDDS_EXPORTED_API | ~NetworkInterfaceWithFilter ()=default
| Destructor.
FASTDDS_EXPORTED_API | NetworkInterfaceWithFilter (const NetworkInterfaceWithFilter &iface)=default
| Copy constructor.
FASTDDS_EXPORTED_API NetworkInterfaceWithFilter & | operator= (const NetworkInterfaceWithFilter &iface)=default
| Copy assignment.
FASTDDS_EXPORTED_API | NetworkInterfaceWithFilter (NetworkInterfaceWithFilter &&iface)=default
| Move constructor.
FASTDDS_EXPORTED_API NetworkInterfaceWithFilter & | operator= (NetworkInterfaceWithFilter &&iface)=default
| Move assignment.
FASTDDS_EXPORTED_API bool | operator== (const NetworkInterfaceWithFilter &iface) const
| Comparison operator.
Public Member Functions inherited from NetworkInterface
FASTDDS_EXPORTED_API | NetworkInterface (const std::string &name)
| Constructor by name.
FASTDDS_EXPORTED_API | NetworkInterface (const std::string &device, const std::string &ip, const LocatorWithMask &locator)
| Constructor by device name, IP address string and locator with mask.
virtual FASTDDS_EXPORTED_API | ~NetworkInterface ()=default
| Destructor.
FASTDDS_EXPORTED_API | NetworkInterface (const NetworkInterface &iface)=default
| Copy constructor.
FASTDDS_EXPORTED_API NetworkInterface & | operator= (const NetworkInterface &iface)=default
| Copy assignment.
FASTDDS_EXPORTED_API | NetworkInterface (NetworkInterface &&iface)=default
| Move constructor.
FASTDDS_EXPORTED_API NetworkInterface & | operator= (NetworkInterface &&iface)=default
| Move assignment.
FASTDDS_EXPORTED_API bool | operator== (const NetworkInterface &iface) const
| Comparison operator.

## Additional Inherited Members

Public Attributes inherited from NetworkInterfaceWithFilter
NetmaskFilterKind | netmask_filter
| Netmask filter configuration.
Public Attributes inherited from NetworkInterface
std::string | name
| Interface device name or IP address in string format (to be filled by the user).
std::string | device
| Interface device name.
std::string | ip
| IP address in string format (includes scope ID in the IPv6 case).
LocatorWithMask | locator
| IP address with network mask.

## Detailed Description

Structure extending `NetworkInterfaceWithFilter` with information specific to allowed interfaces.

Note
  When using this structure to interact with Fast-DDS, `name` is the only attribute the user needs to provide. The rest of the attributes are internally filled, and are in fact ignored even if already provided by the user.

## Constructor & Destructor Documentation

## ◆ ~AllowedNetworkInterface()

virtual FASTDDS_EXPORTED_API ~AllowedNetworkInterface | ( |  | ) |

virtual default

Destructor.

## ◆ AllowedNetworkInterface() [1/2]

FASTDDS_EXPORTED_API AllowedNetworkInterface | ( | const AllowedNetworkInterface & | iface | ) |

default

Copy constructor.

## ◆ AllowedNetworkInterface() [2/2]

FASTDDS_EXPORTED_API AllowedNetworkInterface | ( | AllowedNetworkInterface && | iface | ) |

default

Move constructor.

## Member Function Documentation

## ◆ NetworkInterfaceWithFilter() [1/6]

FASTDDS_EXPORTED_API NetworkInterfaceWithFilter | ( | const NetworkInterfaceWithFilter & | iface | ) |

default

Copy constructor.

## ◆ NetworkInterfaceWithFilter() [2/6]

FASTDDS_EXPORTED_API NetworkInterfaceWithFilter | ( | const std::string & | device,
|  | const std::string & | ip,
|  | const LocatorWithMask & | locator )

Constructor by device name, IP address string and locator with mask.

## ◆ NetworkInterfaceWithFilter() [3/6]

NetworkInterfaceWithFilter | ( | const std::string & | device,
|  | const std::string & | ip,
|  | const LocatorWithMask & | locator,
|  | NetmaskFilterKind | netmask_filter )

Constructor by device name, IP address string, locator with mask and netmask filter.

## ◆ NetworkInterfaceWithFilter() [4/6]

FASTDDS_EXPORTED_API NetworkInterfaceWithFilter | ( | const std::string & | name | ) |

Constructor by name.

## ◆ NetworkInterfaceWithFilter() [5/6]

FASTDDS_EXPORTED_API NetworkInterfaceWithFilter | ( | const std::string & | name,
|  | NetmaskFilterKind | netmask_filter )

Constructor by name and netmask filter.

## ◆ NetworkInterfaceWithFilter() [6/6]

FASTDDS_EXPORTED_API NetworkInterfaceWithFilter | ( | NetworkInterfaceWithFilter && | iface | ) |

default

Move constructor.

## ◆ operator=() [1/2]

FASTDDS_EXPORTED_API AllowedNetworkInterface & operator= | ( | AllowedNetworkInterface && | iface | ) |

default

Move assignment.

## ◆ operator=() [2/2]

FASTDDS_EXPORTED_API AllowedNetworkInterface & operator= | ( | const AllowedNetworkInterface & | iface | ) |

default

Copy assignment.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/transport/network/AllowedNetworkInterface.hpp